petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSubDomainHookRemove

remove a callback from the list to be run when restricting a problem to the coarse grid

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode DMSubDomainHookRemove(DM global,PetscErrorCode (*ddhook)(DM,DM,void*),PetscErrorCode (*restricthook)(DM,VecScatter,VecScatter,DM,void*),void *ctx)

Logically Collective

### Input Arguments

| global | - global DM
| ddhook | - function to run to pass data to the decomposition DM upon its creation
| restricthook | - function to run to update data on block solve (at the beginning of the block solve)
| ctx | - [optional] user-defined context for provide data for the hooks (may be NULL)

### Notes

This function is currently not available from Fortran.

### See Also

DMSubDomainHookAdd(), SNESFASGetInterpolation(), SNESFASGetInjection(), PetscObjectCompose(), PetscContainerCreate()

### Level

advanced

### Location

src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages